Change log for libkf5kipi package in Debian

17 of 7 results
Published in buster-release on 2017-12-14
Published in sid-release on 2017-12-09
libkf5kipi (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (see #883624)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Replace ksnapshot with spectacle in descriptions.
  * Remove all the libkipi*-dev conflicts from libkf5kipi-dev, since they are
    not conflicting anymore.
  * Remove the libkf5kipi30.0.0, and libkf5kipi31.0.0 breaks/replaces from
    libkf5kipi32.0.0, since they have no files in common.
  * Disable the building of tests, since there are no actual unit tests, but
    only a test plugin
    - pass -DBUILD_TESTING=OFF to cmake
    - remove debian/not-installed, no more useful
    - remove the now unused build dependencies: libkf5kexiv2-dev, libjpeg-dev,
      libpng-dev, and libtiff-dev

  [ Helmut Grohne ]
  * Mark libkf5kipi-data Multi-Arch: foreign. (Closes: #880459)

 -- Pino Toscano <email address hidden>  Sat, 09 Dec 2017 09:53:37 +0100
Deleted in experimental-release (Reason: None provided.)
libkf5kipi (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <email address hidden>  Tue, 12 Sep 2017 22:41:27 +0200
Superseded in buster-release on 2017-12-23
Published in stretch-release on 2016-10-24
Superseded in sid-release on 2017-12-17
libkf5kipi (4:16.08.2-1) unstable; urgency=medium

  * New upstream release (16.08.2)

 -- Maximiliano Curia <email address hidden>  Wed, 19 Oct 2016 00:15:03 +0200
Superseded in stretch-release on 2016-10-24
Superseded in sid-release on 2016-10-19
libkf5kipi (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the cmake build dependency to >= 3.0.0, according to the upstream
    build system.
  * Update install files.
  * Do not install the kxmlhelloworld plugin, since it is only a test plugin.
  * Since libkf5kipi-bin is now empty, remove it from the shlib dependency
    injected with symbols files: this is needed as binaries linked with
    libkf5kipi have the libkf5kipi-bin dependency as well.
    - remove no more needed breaks/replaces from it
    - tweak its description
  * Drop the kde-runtime exclusion from shlibs, since it was for kdelibs 4.x
    libraries.
  * Drop the extra pkg-config dependency in libkf5kipi-dev.

 -- Pino Toscano <email address hidden>  Sun, 28 Aug 2016 12:13:34 +0200
Superseded in stretch-release on 2016-09-03
Superseded in sid-release on 2016-11-19
libkf5kipi (16.04.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <email address hidden>  Tue, 31 May 2016 14:36:08 +0200
Deleted in experimental-release (Reason: None provided.)
libkf5kipi (16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files from buildds logs (15.12.1-1).
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Bump soversion, move plugin to the bin package
  * Update install files
  * Update symbols file
  * Migrate to the default png version

 -- Maximiliano Curia <email address hidden>  Tue, 24 May 2016 11:11:09 +0200
Superseded in experimental-release on 2016-05-26
libkf5kipi (15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <email address hidden>  Mon, 01 Feb 2016 10:22:54 +0100
17 of 7 results